player = {}
function player.load()
	player.x = 5
	player.y = 5
	player.xvel = 0
	player.yvel = 0
	player.friction = 9.5
	player.speed = 2000
	player.width = 146
	player.height = 183
end

playerR = {}
playerR[1] = love.graphics.newImage("textures/player/player right 1.png")
playerR[2] = love.graphics.newImage("textures/player/player right 2.png")

playerL = {}
playerL[1] = love.graphics.newImage("textures/player/player left 1.png")
playerL[2] = love.graphics.newImage("textures/player/player left 2.png")

playerU = {}
playerU[1] = love.graphics.newImage("textures/player/player up 1.png")
playerU[2] = love.graphics.newImage("textures/player/player up 2.png")

playerD = {}
playerD[1] = love.graphics.newImage("textures/player/player down 1.png")
playerD[2] = love.graphics.newImage("textures/player/player down 2.png")

player.animtimer = 0
player.pic = playerD[1]
player.pnum = 1

local lastShot = 1
local changeTime = 1

function player.update(dt)
	if love.keyboard.isDown("d") and player.xvel < player.speed then
		player.xvel = player.xvel + player.speed * dt
		--player.pic = playerR[player.pnum]
		player.animtimer = player.animtimer + dt
		if player.animtimer > 0.1 then
			player.pnum = player.pnum + 1
			player.animtimer = 0
		end
		if player.pnum > 2 then
			player.pnum = 1
		end
	end
	if love.keyboard.isDown("a") and player.xvel > -player.speed then
		player.xvel = player.xvel - player.speed * dt
		--player.pic = playerL[player.pnum]
		player.animtimer = player.animtimer + dt
		if player.animtimer > 0.1 then
			player.pnum = player.pnum + 1
			player.animtimer = 0
		end
		if player.pnum > 2 then
			player.pnum = 1
		end
	end
	if love.keyboard.isDown("w") and player.yvel > -player.speed then
		player.yvel = player.yvel - player.speed * dt
		--player.pic = playerU[player.pnum]
		player.animtimer = player.animtimer + dt
		if player.animtimer > 0.1 then
			player.pnum = player.pnum + 1
			player.animtimer = 0
		end
		if player.pnum > 2 then
			player.pnum = 1
		end
	end
	if love.keyboard.isDown("s") and player.yvel < player.speed then
		player.yvel = player.yvel + player.speed * dt
		--player.pic = playerD[player.pnum]
		player.animtimer = player.animtimer + dt
		if player.animtimer > 0.1 then
			player.pnum = player.pnum + 1
			player.animtimer = 0
		end
		if player.pnum > 2 then
			player.pnum = 1
		end
	end
	if(lastShot <= changeTime) then
		lastShot = lastShot + dt
	end
end


function player.animreset(key)
	if(lastShot > changeTime) then
		if key == "d" then
			player.animtimer = 0
			player.pnum = 1
			player.pic = playerR[1]
		end
		if key == "a" then
			player.animtimer = 0
			player.pnum = 1
			player.pic = playerL[1]
		end
		if key == "w" then
			player.animtimer = 0
			player.pnum = 1
			player.pic = playerU[1]
		end
		if key == "s" then
			player.animtimer = 0
			player.pnum = 1
			player.pic = playerD[1]
		end
	end
end

function player.physics(dt)
	player.x = player.x + player.xvel * dt
	player.y = player.y + player.yvel * dt
	
	player.xvel = player.xvel * (1 - math.min(dt*player.friction, 1)) 
	player.yvel = player.yvel * (1 - math.min(dt*player.friction, 1)) 
end

function player.draw()
	love.graphics.setColor(255,255,255)
	love.graphics.draw(player.pic,player.x,player.y)
end

function player.shoot(key)
	if key == "up" then
		bullet.spawn(player.x + 30,player.y + 70,"up")
		player.pic = playerU[1]
		lastShot = 0
	end
	if key == "down" then
		bullet.spawn(player.x + 140,player.y + 90,"down")
		player.pic = playerD[1]
		lastShot = 0
	end
	if key == "left" then
		bullet.spawn(player.x - bullet.width,player.y + 70,"left")
		player.pic = playerL[1]
		lastShot = 0
	end
	if key == "right" then
		bullet.spawn(player.x + player.width,player.y + 70,"right")
		player.pic = playerR[1]
		lastShot = 0
	end
	
end


--PARENT FUNCTIONS
function DRAW_PLAYER()
	player.draw()
end
	
function UPDATE_PLAYER(dt)
	player.physics(dt)
	player.update(dt)
end
--